%global _hardened_build 1

%define current_version 7.0.231.2

%define prlvsdk prlsdk

%define sdkver_major 7
%define sdkver_minor 0

%define python_ver python2.7

Summary: Software Developing Kit for Virtuozzo
Name: libprlsdk
Obsoletes: parallels-virtualization-open-sdk, parallels-virtualization-sdk
Version: %{current_version}
Release:        1%{?dist}

Group: Development/Libraries
License: LGPLv2.1
URL: https://github.com/OpenVZ/libprlsdk
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# Do NOT contencate libprlcommon and libprlxmlmodel requires - modified by automatic script
Requires:	libprlxmlmodel >= 7.0.81
Requires:	libprlcommon >= 7.0.162
BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: python
BuildRequires: python-devel
BuildRequires: qt4-devel
BuildRequires: qt4
BuildRequires: boost-devel
BuildRequires: libprlcommon-devel >= 7.0.124
BuildRequires: libprlxmlmodel-devel >= 7.0.5
ExclusiveArch: x86_64


%description
Virtuozzo SDK is a development kit used to create and integrate
custom software solutions with Virtuozzo. The SDK provides cross-
platform ANSI C and Python APIs.

%package devel
Summary: Libraries, includes to compile with the Virtuozzo SDK library
Group: Development/Libraries
License: LGPLv2.1
Requires: %{name} = %{version}-%{release}
Requires: %{name}-headers
Requires: pkgconfig

%description devel
Include header files & development libraries for the Virtuozzo SDK library.

%package headers
Summary: Includes to compile with the Virtuozzo SDK library
Group: Development/Libraries
License: LGPLv2.1

%description headers
Include header files with basic definitions for the Virtuozzo SDK library.

%package python
Summary: A Python interface to Virtuozzo SDK
Group: Development/Languages
License: LGPLv2.1
Obsoletes: python-parallels-virtualization-sdk
Requires: %{name} = %{version}-%{release}

%description python
A Python interface to Virtuozzo SDK

%prep
%setup -q


%build
export PATH="$PATH:/usr/lib64/qt4/bin"
cd Sources
./Gen.py release
cd SDK
%qmake_qt4
%make_build release
cd Python
./BuildPyPrlSdk.py

%install
rm -rf %{buildroot}

%{__mkdir}  -p %{buildroot}/%{_libdir}

SDKLIB=`basename z-Build/Release/libprl_sdk.so.%{sdkver_major}.%{sdkver_minor}.*`

install -m 0755 z-Build/Release/${SDKLIB} %{buildroot}/%{_libdir}
ln -sf ${SDKLIB} %{buildroot}/%{_libdir}/libprl_sdk.so.%{sdkver_major}.%{sdkver_minor}
ln -sf libprl_sdk.so.%{sdkver_major}.%{sdkver_minor} %{buildroot}/%{_libdir}/libprl_sdk.so.%{sdkver_major}
ln -sf libprl_sdk.so.%{sdkver_major} %{buildroot}/%{_libdir}/libprl_sdk.so

%{__mkdir} -p %{buildroot}/%{_usr}/include/%{prlvsdk}

SDKDIR=Sources/SDK

HDRDIR=${SDKDIR}/Include

DEVEL_HDRFILES=`sed -n '/\[necessary_files\]/,/^$/p' ${HDRDIR}/public_headers.ini | egrep -e "file\w+=" | cut -d= -f2`
COMMON_HDRFILES=`sed -n '/\[common_files\]/,/^$/p' ${HDRDIR}/public_headers.ini | egrep -e "file\w+=" | cut -d= -f2`
HDRFILES="${DEVEL_HDRFILES} ${COMMON_HDRFILES}"

for hdrfile in ${HDRFILES}; do
    install -m 644 ${HDRDIR}/$hdrfile %{buildroot}/%{_includedir}/%{prlvsdk}/$hdrfile
done
for hdrfile in ${DEVEL_HDRFILES}; do
	echo "%{_includedir}/%{prlvsdk}/${hdrfile}" >> devel_files.lst
done
for hdrfile in ${COMMON_HDRFILES}; do
	echo "%{_includedir}/%{prlvsdk}/${hdrfile}" >> common_files.lst
done

%{__mkdir} -p %{buildroot}/%{_datadir}/%{prlvsdk}/helpers/SdkWrap

WRPDIR=${SDKDIR}/Wrappers/SdkWrap
%{__mkdir} -p %{buildroot}%{_libdir}/pkgconfig/
install -m 644 ${SDKDIR}/Handles/parallels-sdk.pc %{buildroot}/%{_libdir}/pkgconfig/
WRPFILES="SdkWrap.cpp SdkWrap.h SdkHandleWrap.h"

for wrpfile in ${WRPFILES}; do
    install -m 644 ${WRPDIR}/$wrpfile %{buildroot}/%{_datadir}/%{prlvsdk}/helpers/SdkWrap/$wrpfile
done
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-devel-%{version}
install -m 644 COPYING LGPL-2.1  %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 COPYING LGPL-2.1  %{buildroot}%{_docdir}/%{name}-devel-%{version}/

# Python part
%{__mkdir} -p %{buildroot}/%{python_sitelib}/prlsdkapi/
install -m 0755 z-Build/Release/%{python_ver}/prlsdk.so %{buildroot}/%{python_sitelib}/prlsdkapi/prlsdk.so
install -m 0644 Sources/SDK/Python/prlsdkapi.py %{buildroot}/%{python_sitelib}/prlsdkapi/__init__.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libprl_sdk.so.*
%{_docdir}/%{name}-%{version}

%files devel -f devel_files.lst
%defattr(-, root, root)
%{_libdir}/libprl_sdk.so
%{_datadir}/%{prlvsdk}/helpers/SdkWrap/*
%{_docdir}/%{name}-devel-%{version}
%{_libdir}/pkgconfig/

%files headers -f common_files.lst
%defattr(-, root, root)
%dir %{_includedir}/%{prlvsdk}

%files python
%defattr(-, root, root)
/%{python_sitelib}/prlsdkapi/*

%changelog
* Fri Apr 05 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.231.2
 - bug #PSBM-93578 aka snmpd killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Apr 04 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.231.1
 - bug #PSBM-92852 aka snmpd killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)
 - make a fork (Sergey Galas <shrike@virtuozzo.com>)

* Mon Mar 11 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.231
 - bug #PSBM-92425 aka prlsrvctl net list crashed (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Mar 11 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.230
 - bug #PSBM-92406 aka "net-snmp" crash: "snmpd killed by SIGSEGV" (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Mar 05 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.229
 - bug #PSBM-92128 aka copy_file_big FAIL: Checksums differ (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Feb 20 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.228
 - bug #PSBM-91879 aka vzt-psbm-validation: lin.vm_snapshot_revert TIMEDOUT:
Function wait timeouted (Sergey Galas <shrike@virtuozzo.com>)

* Tue Feb 19 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.227
 - bug #PVA-37383 aka pvaagent on node is using 150Gb RAM (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Feb 07 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.226
 - Introduce filter flags for PRL_GET_VM_LIST_FLAGS #PSBM-91350 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Feb 05 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.225
 - Cancel exec on stdout/stderr write errors #PSBM-91463 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Tue Jan 15 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.224
 - Add support for Windows Server 2019 #PSBM-90793 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Mon Dec 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.223
 - bug #PSBM-89621 aka "net-snmp" crash: "snmpd killed by SIGSEGV" (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Nov 14 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.222
 - bug #PSBM-89916 aka VM creation via SDK sometimes triggers an prl-disp_erorr
with write permissions (Sergey Galas <shrike@virtuozzo.com>)

* Thu Oct 25 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.221
 - enable generic PCI devices inside a VM config (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Sep 18 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.220
 - PrlHandleVm: fix deadlock

* Wed Sep 12 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.219
 - force CT migration #PSBM-88556 (Igor Sukhih <igor@virtuozzo.com>)

* Tue Aug 07 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.218
 - bug #PSBM-87513 aka Python prlsdkapi: segfaults (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jul 16 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.217
 - bug #PSBM-86453 aka Duplicate VM MAC addresses on the same node (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jun 06 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.216
 - #PSBM-81710 VirtualDisk/PrlDisk over NBD client (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Fri Apr 13 2018 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.215

* Wed Apr 11 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.214
 - bug #PVA-37306 aka pvaagentd terminated with signal 11, Segmentation fault
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Apr 09 2018 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.213
 - Clarify instructions how to turn on nested virtualization PSBM-83280

* Mon Mar 05 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.211

* Fri Feb 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.209
 - merge from VZ6: expose SPEC_CTRL to guests if supported @nowidth (Konstantin
B. Bukharov <bkb@virtuozzo.com>)

* Mon Dec 25 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.208
 - bug #PSBM-79714 aka "net-snmp" crash: "snmpd killed by SIGSEGV" (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Dec 19 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.207
 - PrlVmBackup_GetDisk(): open disk in RO (Igor Sukhih <igor@virtuozzo.com>)

* Wed Dec 13 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.206
 - Add fake PrlDisk_FlushCache() fro compatibility reason

* Tue Dec 12 2017 bkbbkb <bkb@virtuozzo.com> 7.0.205
 - MINOR add alias for PVS_GUEST_VER_WIN_WINDOWS10 -
PVS_GUEST_VER_WIN_WINDOWS_10 as was used in Virtuozzo 6 (Konstantin Bukharov
<bkb@virtuozzo.com>)

* Tue Dec 12 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.204
 - PrlApiMacro.h: add missed functions

* Fri Dec 08 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.203
 - PrlHandleBackup::getDisk(): removed obsoleted code

* Wed Dec 06 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.202
 - Unify error message for HyperV devices (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Add hyperv network device type #PSBM-75059 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Mon Dec 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.201
 - PythonComposer.cpp: fixed compilation (Igor Sukhih <igor@virtuozzo.com>)
 - Backport Pull backup SDK API from VZ6 for CT backups #PSBM-77974 (Igor Sukhih
<igor@virtuozzo.com>)
 - libprlcommon-devel >= 7.0.120.3 (Igor Sukhih <igor@virtuozzo.com>)
 - +Release up (Igor Sukhih <igor@virtuozzo.com>)
 - libprlcommon-devel >= 7.0.121 (Igor Sukhih <igor@virtuozzo.com>)

* Mon Dec 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.200
 - Backport Pull backup SDK API from VZ6 for CT backups #PSBM-77974 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Nov 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.199
 - bug #PSBM-77961 aka compressor ERROR: prlctl killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Oct 09 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.198
 - bug #PSBM-72984 aka pvaagentd killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Sep 05 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.197
 - Correctly convert handle to callback arg in python SDK (Dmitry Guryanov
<dmitry.guryanov@virtuozzo.com>)

* Mon Aug 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.196
 - Fix SetCpuLimitEx python binding #PSBM-70011 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Mon Jul 03 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.195
 - bug #PSBM-67887 aka vzt-psbm-validation: lin.vm_install TIMEDOUT: Function
wait timeouted (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jun 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.194

* Fri Jun 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.193

* Fri Jun 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.192
 - Fixed c-style compilation of enum _PRL_PASSWD_LENGTH (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Wed Jun 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.191
 - Add PrlDispCfg_GetVNCMaxPort() getter #PSBM-65644 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-66500 aka Support for CPU topology configuration (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jun 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.190
 - Encode password according to new login scheme PSBM-55305 (Inga Pyass
<ipyass@virtuozzo.com>)
 - Not correct error message #PSBM-66339 (Igor Sukhih <igor@virtuozzo.com>)

* Wed May 24 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.189-5
- Enable hardened build, see #PSBM-58107

* Fri Apr 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.189
 - prlsdkapi: add Vm.[g,s]et_cpu_limit_ex custom functions (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Apr 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.188
 - Update PRL_ERR_REMOTE_DISPLAY_WRONG_PORT_NUMBER message (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Apr 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.187
 - Abort pending jobs on connection lost (Sergey Galas <shrike@virtuozzo.com>)

* Tue Apr 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.186
 - Problem Report directory should not be accessible to Other user #PSBM-58087
(Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Mon Apr 03 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.185

* Tue Mar 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.184
 - Add error string PRL_ERR_VMCONF_SCSI_HYPERV_LINUX_NOT_SUPPORTED PSBM-62584
(Inga Pyass <ipyass@virtuozzo.com>)

* Mon Mar 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.183
 - fix There is no PVS_GUEST_TO_STRING conversion for w2k16, #PSBM-62924 (Pavel
Ganyushin <pganyushin@virtuozzo.com>)

* Fri Mar 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.182
 - Move branding to separate file, see #PSBM-58317 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Tue Mar 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.181
 - Add support for Hyper-V paravirt storage devices (Inga Pyass
<ipyass@virtuozzo.com>) (#PSBM-59030)
 - Add contacts to header template in GenSdk.py (Andrey Bondrov
<abondrov@virtuozzo.com>)
 - Update copyrights ( #PSBM-58317 ) (Andrey Bondrov <abondrov@virtuozzo.com>)

* Mon Mar 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.180
 - Add PVM_UPDATE_MODE migration flags #PSBM-59325 (Igor Sukhih
<igor@virtuozzo.com>)
 - Remove PrlDisk_GetDiskInfo from Python SDK (Inga Pyass
<ipyass@virtuozzo.com>) (#PSBM-60480)

* Wed Mar 01 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.179
 - Add "CT-only" and "VM-only" marks to SDK functions declarations #PSBM-28735
(Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-61204 aka vzt-psbm-validation: vm_resume ERROR: dump: core-
snmpd-1488228561.9053 (Sergey Galas <shrike@virtuozzo.com>)

* Mon Feb 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.178
 - Add PrlApi_GuestToString function to SDK PSBM-60625 (Inga Pyass
<ipyass@virtuozzo.com>)

* Tue Feb 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.177
 - Optimize handle_to_onbject method in python SDK (Dmitry Guryanov
<dmitry.guryanov@virtuozzo.com>)
 - Fix memory leaks in Python's SDK (Dmitry Guryanov
<dmitry.guryanov@virtuozzo.com>) (#PSBM-60280)

* Tue Feb 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.176
 - add PRL_CPU_UNLIMITED to exported constants We need it in python API (Mikhail
Feoktistov <mfeoktistov@virtuozzo.com>)

* Thu Feb 09 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.175
 - bug #PSBM-60200 aka `problem-report` hangs for days. (again) (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Feb 07 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.174
 - bug #PSBM-59918 aka prlctl exec killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Feb 06 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.173
 - bug #PSBM-59957 aka `prlctl problem-report` hangs for 4 days (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Feb 01 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.172
 - bug #PSBM-59525 aka bused killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jan 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.171
 - Fixed double delete of CStdinMainterner() object #PSBM-59482 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Mon Jan 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.170
 - Make CStdinMaintainer class a true singleton with Q_GLOBAL_STATIC #PSBM-59247
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Correct Guest Tools naming #PSBM-59020 (Igor Sukhih <igor@virtuozzo.com>)

* Tue Jan 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.169
 - /sdk2python: Use Vm class for PrlCt_* (Igor Sukhih <igor@virtuozzo.com>)

* Mon Jan 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.168
 - rpm spec uses this file as a storage of headers to include into devel
package. append new header there. (Sergey Galas <shrike@virtuozzo.com>)

* Mon Jan 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.167
 - sdk2python: fixed generate python SDK from PrlApiCT.h (Igor Sukhih
<igor@virtuozzo.com>)
 - Container reinstall #PSBM-58698 (Igor Sukhih <igor@virtuozzo.com>)

* Mon Jan 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.166
 - Container reinstall #PSBM-58698 (Igor Sukhih <igor@virtuozzo.com>)

* Mon Jan 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.165
 - style add PJOC_CT_REINSTAL job id (Igor Sukhih <igor@virtuozzo.com>)
 - revert commit 5ce60cc9f841fdda31b1c5364f5bbc1626b15c29 (Igor Sukhih
<igor@virtuozzo.com>)
 - Container reinstall #PSBM-58698 (Igor Sukhih <igor@virtuozzo.com>)
 - style add PJOC_VM_REINSTAL job PRL_JOB_OPERATION_CODE (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Jan 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.164
 - revert commit 5ce60cc9f841fdda31b1c5364f5bbc1626b15c29 (Igor Sukhih
<igor@virtuozzo.com>)
 - Container reinstall #PSBM-58698 (Igor Sukhih <igor@virtuozzo.com>)
 - style add PJOC_VM_REINSTAL job PRL_JOB_OPERATION_CODE (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Jan 20 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.163
 - style: add PJOC_VM_REINSTAL job PRL_JOB_OPERATION_CODE

* Fri Jan 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.162
 - bug #PSBM-58442 aka dump: core-snmpd-1484149580.9053 (Sergey Galas
<shrike@virtuozzo.com>)
 - Introduce error codes for use with vcmmd (PSBM-58244) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Thu Jan 12 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.161
 - bug #PSBM-57229 aka libprlsdk can't be used together with openssl (Sergey
Galas <shrike@virtuozzo.com>)

* Thu Dec 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.160
 - Introduce SDK to get/set vcmmd config values (PSBM-55022) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Introduce job operation code for vcmmd config (PSBM-55022) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Thu Dec 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.159
 - Introduce SDK to get/set vcmmd config values (PSBM-55022) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Introduce job operation code for vcmmd config (PSBM-55022) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Mon Dec 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.158
 - Fixed deadlock with calling CStdinMaintainer() destructor too early
\#PSBM-57400 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Mon Dec 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.157
 - fix client crash on local login (PSBM-57469) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Tue Dec 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.156
 - Simplify LoginLocal protocol (PSBM-52204) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Use problem report servers at *virtuozzo.com (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Introduce network adapter type constants (PSBM-53561) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Mon Dec 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.155
 - migration: added PVMT_DONT_CREATE_DISK flag (Pavel Glushchak
<pglushchak@virtuozzo.com>)
 - Add explicit CloudLinux support (#PSBM-51659) (Denis Silakov
<dsilakov@virtuozzo.com>)

* Wed Nov 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.154
 - Remove the type restriction from PrlHandle_EventCallbackHandler #PVA-35665
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - get bound adapter more accurately (PSBM-53561) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Tue Nov 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.153
 - Prohibit backup to older backup storage (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-54413)

* Tue Nov 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.152
 - Allow an instance restoration if it is in 'suspended' state (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-53323)

* Tue Nov 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.151
 - Diskonly snapshot creation #PSBM-54057 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Oct 28 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.150
 - Define default RAM size for Win10 and Win2k16 (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-54472)

* Fri Oct 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.145
 - Add getter for VM remote port encryption #PVA-35620 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Oct 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.144
 - Add PrlVmDevHd_Get(Set)SerialNumber to python prlsdkapi (PSBM-53131) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)

* Wed Oct 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.143
 - Add GetVNCWebSocketPort, #PSBM-53289 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Oct 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.142
 - Introduce PRL_WARN_NESTED_VIRT_NOT_ENABLED constant (PSBM-50234) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)

* Thu Sep 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.141
 - Introduce on-crash action API calls (PSBM-51080) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Update links in README (Dmitry Mishin <dim@virtuozzo.com>)

* Tue Sep 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.140
 - Add PRL_VM_ON_CRASH_ACTION for on-crash action value type (PSBM-51078) (Pavel
Ganyushin <pganyushin@virtuozzo.com>) (#PSBM-51080)

* Tue Sep 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.139
 - Remove FDD from default boot sequence (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-51741)

* Wed Sep 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.138
 - [sdk2python] Commit lost changes in addition to 7a8de6bc022 (Inga Pyass
<ipyass@virtuozzo.com>)

* Mon Sep 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.137
 - Introduce error code for invalid hdd's serial number (PSBM-51713) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)
 - Add PrlVmDevHd_SetSerialNumber (PSBM-51713) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Tue Sep 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.136
 - Add PRL_ERR_ENCRYPTION_COMMIT_PROHIBITED error code (PSBM-51076) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Tue Sep 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.135
 - bug #PSBM-51830 aka --no-tunnel option for backups & restore (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Sep 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.134
 - [sdk2python] Add custom functions to manage iolimit #PSBM-33389 (Inga Pyass
<ipyass@virtuozzo.com>)
 - Add PRL_ERR_ENCRYPTION_COMMIT_REJECTED error code (PSBM-51076) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Introduce PrlVm_CommitEncryption (PSBM-51076) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Sep 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.133
 - Add an ability to capture Vm screen (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-50870)

* Mon Sep 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.132
 - Refactor: CVmEvent*, BaseNode and ProtoSerializer are moved to prlcommon

* Mon Sep 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.131

* Mon Aug 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.130
 - network: add new new network adapter type PNA_BRIDGE (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Tue Aug 16 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.129
 - Rename product in SDK messages PSBM-50260

* Mon Aug 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.128
 - Add disk encryption API calls (PSBM-44176) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Fri Aug 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.127
 - Add vz[a-t]* pattern to the list of crashdumps templates #PSBM-50895 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Remove unused checkOnQuitCallback (Dmitry Andreev <dandreev@virtuozzo.com>)

* Thu Aug 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.126
 - One more file to generic headers

* Thu Aug 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.125
 - Split SDK headers to two parts - basic and the rest (Dmitry Mishin
<dim@virtuozzo.com>)
 - Introduce libprlsdk-headers package (Dmitry Mishin <dim@virtuozzo.com>)

* Thu Aug 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.124
 - Introduce libprlsdk-headers package

* Wed Jul 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.123
 - Drop libtar and zlib forks #PSBM-48887 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Replace libtar with new libarchive interface for problem reports #PSBM-48887
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jul 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.122
 - Drop libtar and zlib forks #PSBM-48887 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Replace libtar with new libarchive interface for problem reports #PSBM-48887
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Jul 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.121
 - Correctly set default log path (PSBM-49966) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Increase version (Konstantin Volkov <wolf@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.119
 - Add patterns for ipv4 and ipv6 classful stats, #PSBM-48219 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Tue Jun 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.118

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.117
 - coverity-117421 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117456 Structurally dead code (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125019 Logically dead code (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-125045 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125048 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125049 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.116
 - coverity-125034 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-125024 Out-of-bounds read (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Get rid of old disk encryption interface (PSBM-48677) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Remove shipped openssl files since they're not used (PSBM-48677) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.115
 - coverity-125029 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Jun 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.114
 - Add a specific error message for unsupported KEEP_CHAIN option (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47789)

* Thu Jun 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.113
 - Add a flag for the rest of backup chain preservation on a backup removal
(Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47789)

* Mon Jun 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.112
 - Add getter for GuestCpuLimitType #PSBM-45713 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jun 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.111
 - Invert PVMT_TUNNELED and rename it to PVMT_DIRECT_DATA_CONNECTION #PSBM-47968
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Enable SCSI stack index 7, #PSBM-48040 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Jun 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.110
 - Added error for duplicated virtio-block stack index, #PSBM-47819 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Forbid interface change if there's no valid stack index, #PSBM-47819 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon Jun 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.109
 - git: ignore pysdk build routine (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - AddMethod: fix generation of new handle class (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-39266)

* Sat Jun 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.108

* Sat Jun 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.107
 - Add flag for migration with tunnel #PSBM-47968 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.106
 - Remove excessive backup error parameter (#PSBM-47773)

* Tue May 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.105
 - Make API for shared folders unimplemented #PSBM-47679 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue May 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.104
 - Output a better error message when the connection to the local dispatcher is
lost. #PSBM-47281 (Anton Sanarov <asanarov@virtuozzo.com>)

* Mon May 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.103
 - CPU pools management improvement (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-47369)

* Sat May 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.102
 - Add new job operation codes (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-47369)
 - Rejuvenate AddMethod.py (Alexander Kurbatov <alkurbatov@virtuozzo.com>) (#PSBM-39266)

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.101
 - Revert "Change default type of network adapter for win2k3 #PSBM-46305"
(Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-46306)

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.100
 - Add a message to show if the VM to be deleted is invalid and will be only
unregistered instead. #PSBM-45622 (Anton Sanarov <asanarov@virtuozzo.com>)

* Wed May 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.99
 - Remove prlctl options from the error text. #PSBM-45427 (Anton Sanarov
<asanarov@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.98
 - Add a specific error for cases when a new private path is given when
restoring backup over an existing VM. #PSBM-45427 (Anton Sanarov
<asanarov@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.97

* Mon May 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.96
 - Bugfix with image size (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Sat May 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.95
 - Switch to policy-based image creation, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu May 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.94
 - Fixed write to freed memory #PSBM-47022 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Fri May 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.93
 - Add a new migration flag for uncompressed migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-46784)

* Fri Apr 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.92
 - Merge PVMT_SEND_DISK_MAP flag from PCS6 SDK #PSBM-40857 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make ip conflict critical. #PSBM-33726 (Anton Sanarov
<asanarov@virtuozzo.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.91
 - Add PrlVmCfg_Set/GetNodeMask to SDK. #PSBM-39268 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - New constants for Virtuozzo Linux guests (Denis Silakov <dsilakov@gmail.com>)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.90
 - Change default type of network adapter for win2k3 #PSBM-46305 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Apr 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.89
 - Add disk open policy support, #PSBM-45641 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat Apr 09 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.88
 - Revert "Revert "Temporary workaround for win-2012."" (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-42190)

* Thu Apr 07 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.87
 - Fixed message about invalid disk - no questions in server product PSBM-43732
 - rename 'virtual machine' to 'virtual environment' #PSBM-8288 (Ivlev
<pivlev@virtuozzo.com>)
 - [sdk2python] Simplify procedure of adding new custom functions (Inga Pyass
<ipyass@virtuozzo.com>)
 - Fix text according to tech-writer recommendation. #PSBM-43131 (Alexander
Pisarev <apisarev@virtuozzo.com>)
 - Remove excessive check for SDK that breaks compilation (PRL_SDK_CHECK is
being checked functions that register this callback) (Inga Pyass
<ipyass@virtuozzo.com>)
 - Implement register and unregister event handler functions in PySDK.
\#PSBM-44826 #PSBM-45510 (Inga Pyass <ipyass@virtuozzo.com>)

* Sat Apr 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.86
 - Improve Makefile not to rebuild everything every time when make is called
(Denis Silakov <dsilakov@gmail.com>)
 - Fix comment for cpu perf counters. #PSBM-43131 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Revert "Temporary workaround for win-2012." (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-42190)

* Fri Apr 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.85
 - Vm template listing #PSBM-18408 (Ivlev <pivlev@virtuozzo.com>)

* Thu Mar 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.84
 - new PRL_ERR_VMCONF_EFI_UNSUPPORTED_GUEST code for #PSBM-41153 (Ivlev
<pivlev@virtuozzo.com>)
 - new PRL_ERR_VMCONF_EFI_UNSUPPORTED_GUEST core for #PSBM-41153 (Ivlev
<pivlev@virtuozzo.com>)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.83
 - Implement PrlDisk_* API through VirtualDisk library, #PSBM-44036 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Wed Mar 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.81
 - Move outdate PrlStat* calls to depricated. #PSBM-43127 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Add PrlDisk_* Api to python SDK. #PSBM-44751 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Add PrlDiskMap_* API function to python SDK. #PSBM-44418 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Add explicit libprlxmlmodel Requires (Konstantin <wolf@parallels.com>)

* Mon Feb 22 2016 Sergey Galas' <shrike@odin.com> 7.0.77
 - Restore PrlDiskMap_* functions in SDK. #PSBM-44453 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Sat Feb 20 2016 Sergey Galas' <shrike@odin.com> 7.0.76
 - Drop obsoleted ws.reclaimable counter (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43140)
 - Fix error message on connection lost in SDK. #PSBM-31738 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Fri Feb 19 2016 Sergey Galas' <shrike@odin.com> 7.0.72
 - protect m_NotificationThread on removal by mutex (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-42759)
 - protect m_NotificationThread on removal by mutex (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-42759)
 - protect m_NotificationThread on removal by mutex (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-42759)
 - Added distclean target (Denis Silakov <dsilakov@gmail.com>)

* Wed Feb 17 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.70
 - Restore stubs for PrlDisk API needed for backup client (PSBM-44033) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - bug #PSBM-44149 (Sergey Galas <shrike@odin.com>)

* Mon Feb 15 2016 Sergey Galas' <shrike@odin.com> 7.0.69
 - Change misleading error message for
PRL_ERR_VMCONF_NEED_MORE_MEMORY_TO_ENABLE_HOTPLUG code (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - Add new PRL_ERR_VCMMD_NO_CONNECTION error code (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Thu Feb 11 2016 Sergey Galas' <shrike@odin.com> 7.0.68
 - More Makefiles to ignore (Alexander Kurbatov <alkurbatov@virtuozzo.com>)
 - New error code for memory hot-plugging support (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43554)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.67
 - Add error for attempt to add network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: remove code that set IDE 0:1 for default CD-ROM (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Pass *LOCAL_DEPS* variables to 'make install', as well (Denis Silakov
<dsilakov@gmail.com>)
 - Pass LOCAL_DEPS_LIBS together with LOCAL_DEPS_INCLUDE (Denis Silakov
<dsilakov@gmail.com>)
 - Allow picking up build dependencies from non-system locations (Denis Silakov
<dsilakov@gmail.com>)

* Tue Feb 02 2016 Sergey Galas' <shrike@odin.com> 7.0.66
 - Add correct bridged network ID to network adapter default config, #PSBM-38503
(Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Windows guests should use our floppy image instead of real floppy (Alexander
Burluka <aburluka@virtuozzo.com>) (#PSBM-43565)

* Tue Jan 26 2016 Sergey Galas' <shrike@odin.com> 7.0.64
 - New PrlVm_SetUserPasswd method (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-41445)
 - Deprecate MemQuota and MemBalloon API calls #PSBM-41963 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.63
 - Fix sdk2python: add PRL_MEMGUARANTEE_DATA to the parser

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.62
 - Add getter and setter API calls for MemGuarantee (Dmitry Andreev. #PSBM-42535

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.61
 - Add PRL_MEMGUARANTEE_TYPE for memory guarantee value type. #PSBM-42535

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.61
 - Temporary revert d692b19dc741638bf5bed6f53fd98437ac17a0fc

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.60
 - Add getter and setter API calls for MemGuarantee. #PSBM-42535
 - Add PRL_MEMGUARANTEE_TYPE for memory guarantee value type. #PSBM-42535

* Fri Jan 15 2016 Sergey Galas' <shrike@odin.com> 7.0.59
 - VM CPU limit type is now configurable via SDK (Alexander Burluka
<aburluka@virtuozzo.com>)

* Wed Jan 13 2016 Sergey Galas' <shrike@odin.com> 7.0.58
 - Use virtio type of network device by default if OS version is not set
\#PSBM-42950 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Update building instructions in README.md (Dmitry Mishin <dim@virtuozzo.com>)

* Tue Jan 12 2016 Sergey Galas' <shrike@odin.com> 7.0.57
 - Fixed compilation in Fedora 23 environment (Dmitry Mishin
<dim@virtuozzo.com>)
 - Switch to standalone XmlModel usage (Dmitry Mishin <dim@virtuozzo.com>)
 - Fixed requirements (Dmitry Mishin <dim@virtuozzo.com>)

* Tue Jan 12 2016 Sergey Galas' <shrike@odin.com> 7.0.56
 - Switch to standalone XmlModel usage (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Jan 11 2016 Sergey Galas' <shrike@odin.com> 7.0.55
 - Adopt Virtuozzo SDK to use Interfaces from libprlcommon (Dmitry Mishin
<dim@virtuozzo.com>)

* Fri Jan 08 2016 Sergey Galas' <shrike@odin.com> 7.0.54
 - Handle unix socket mode for serial port device (PSBM-39637) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Refactor relative <-> absolute device path conversion (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Completely get rid of shadow VM functionality (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Make a dependency to libprlcommon explicit (Dmitry Mishin
<dim@virtuozzo.com>)

* Tue Dec 29 2015 Sergey Galas' <shrike@odin.com> 7.0.53
 - Switch to external prlcommon libraries (Dmitry Mishin <dim@virtuozzo.com>)

* Tue Dec 29 2015 Sergey Galas' <shrike@odin.com> 7.0.52
 - Move ConfigDefaults header out of common libraries (Dmitry Mishin
<dim@virtuozzo.com>)

* Fri Dec 25 2015 Sergey Galas' <shrike@odin.com> 7.0.51
 - Functionality to chage uuid on Vm clone #PSBM-42554 (Igor Sukhih
<igor@parallels.com>)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.50
 - Temporary workaround for win-2012. (Alexander Burluka <aburluka@odin.com>) (#PSBM-42171)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.49
 - Add PrlVmDevHd_GetSerialNumber (PSBM-40247) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Add serial number field to HDD XML model (PSBM-40247) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Remove editor comments from schema (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Merge string utilities from prl-disp-service (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.48
 - mem hotplug: new Sources/XmlModel (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Mon Dec 07 2015 Sergey Galas' <shrike@odin.com> 7.0.47
 - Make TargetDeviceName available for CDROM and FDD (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Fallback to IDE CDROM for Debian guests #PSBM-41679 Debian 8 does not include
drivers for virtio-scsi to installation image (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.46
 - Add VCpu info to xml model (Alexander Burluka <aburluka@odin.com>) (#PSBM-40758 #PSBM-40910)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.45
 - Remove GUI dependencies. (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.44

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.42
 - Remove parallel port from default configuration Parallel port is not a common
case in datacenter deployments. #PSBM-41566 (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Nov 13 2015 Sergey Galas' <shrike@odin.com> 7.0.41
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)
 - add boost to build requires (Sergey Galas <shrike@odin.com>)

* Fri Nov 13 2015 Sergey Galas' <shrike@odin.com>
 - add boost to build requires

* Fri Nov 13 2015 Sergey Galas' <shrike@odin.com> 7.0.40
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.39
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.39
 - Restore accidentally removed PrlVm_InstallTools() method (Dmitry Mishin
<dim@virtuozzo.com>)
 - Improve top-level Makefile a bit (Dmitry Mishin <dim@virtuozzo.com>)
 - Leave only XHCI controller for supported guests (PSBM-40423) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Tue Nov 10 2015 Sergey Galas' <shrike@odin.com> 7.0.38
 - bug #PSBM-41139 (Sergey Galas <shrike@odin.com>)

* Thu Nov 05 2015 Sergey Galas' <shrike@odin.com> 7.0.37
 - Set default CD-ROM emulation type to PVE::CdRomImage (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-35279)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.36
 - IO limits are now part of hdd information (Alexander Burluka
<aburluka@odin.com>) (#PSBM-27716)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.35
 - Guest exec functionality via libvirt and qemu guest agent. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-39325)

* Mon Nov 02 2015 Sergey Galas' <shrike@odin.com> 7.0.34
 - Place default CD drive on IDE bus for Windows guests (#PSBM-40949) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Fri Oct 23 2015 Sergey Galas' <shrike@odin.com> 7.0.33
 - Fixed default HDD params calculation (Alexander Burluka <aburluka@odin.com>) (#PSBM-39966)

* Thu Oct 22 2015 Sergey Galas' <shrike@odin.com> 7.0.32
 - New error value for too long VM names #PSBM-39975 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Oct 21 2015 Sergey Galas' <shrike@odin.com> 7.0.31
 - Virtio-scsi is now default for Windows VM (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39969 #PSBM-39966)

* Mon Oct 19 2015 Sergey Galas' <shrike@odin.com> 7.0.30
 - Add virtio block storage controller (PSBM-39893) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Since we use qemu only port numbers greater than 5899 are possible
#PSBM-39807 (Dmitry Andreev <dandreev@odin.com>)

* Tue Oct 13 2015 Sergey Galas' <shrike@odin.com> 7.0.29
 - Make virtio-scsi default for linux disks (#PSBM-34880) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - README.md: updated build command (Daniil Guzanov <dguzanov@odin.com>)
 - Added simple Makefile (Daniil Guzanov <dguzanov@odin.com>)
 - Update link to Github repo (Sergey Bronnikov <sergeyb@openvz.org>)

* Thu Sep 24 2015 Sergey Galas' <shrike@odin.com> 7.0.28
 - Default VM configuration will not use SATA HDD because QEMU 2.1.2 isn't able
to migrate SATA HDD #PSBM-39909 (Dmitry Andreev <dandreev@odin.com>)
 - Load unhandled CT parameter to xml config to raw section #PSBM-34051 (Igor
Sukhih <igor@parallels.com>)
 - MERGE Implement detach and reattach for the client side of the
IOCommunication connection (#PSBM-29120) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Sep 17 2015 Sergey Galas' <shrike@odin.com> 7.0.27
 - Use IDE HDD by default for windows os type with EFI enabled. #PSBM-37908
(Dmitry Andreev <dandreev@odin.com>)
 - Add CurrentVmDomain field for libvirt domain config to problem report xml
scheme #PSBM-39687 (Dmitry Andreev <dandreev@odin.com>)
 - Remove google-breakpad #PSBM-39388 (Dmitry Andreev <dandreev@odin.com>)
 - bug #PSBM-38748 @110345 Fix length of control message (Inga Pyass
<ipyass@virtuozzo.com>)

* Wed Jul 22 2015 Sergey Galas' <shrike@odin.com> 7.0.25
 - Added means to get VM config with autogenerated params (Alexander Burluka
<aburluka@odin.com>) (#PSBM-34906)
 - Change comment for PRL_GUEST_FS_DISK_INDEX_PTRN (#PSBM-33069) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.23
 - Add new memory counters names (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.22
 - Add PRL_VIRTUAL_NETWORK_FLAGS enum for PrlSrv_AddVirtualNetwork (Maxim
Nestratov <mnestratov@parallels.com>)
 - Remove PRL_SET_PROXY_CONNECTION_FLAGS enum as unused (Maxim Nestratov
<mnestratov@parallels.com>)

* Tue Jun 30 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.21
 - Fixed build on CentOS6 #PSBM-34294

* Mon Jun 29 2015 Sergey Galas' <shrike@odin.com> 7.0.20
 - Changed API version from 3 to 7. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Minor fixes: comments. (Maxim Perevedentsev <mperevedentsev@parallels.com>)
 - Fixed wrapper: added RateMPU get/set functions to symbols. (Maxim
Perevedentsev <mperevedentsev@parallels.com>)
 - Fixed handles: added RateMPU get/set implementation. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Fixed PrlApiNet.h to add RateMPU parameter get/set, added NRM_ constants.
(Maxim Perevedentsev <mperevedentsev@parallels.com>)
 - Fixed schema: added integer RateMPU parameter to CNetworkShaping. (Maxim
Perevedentsev <mperevedentsev@parallels.com>)

* Mon Jun 29 2015 Sergey Galas' <shrike@odin.com> 7.0.19
 - libvirt now links with prl_sdk which uses ioservice lib also. then we have a
double free of a global variable from 2 modules. hide it because nobody uses it
outside. (Sergey Galas <shrike@odin.com>)
 - Add patterns for filesystem statistics counter names (#PSBM-33069) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Added functions to manage H/A to Python SDK (Inga Pyass
<ipyass@virtuozzo.com>)

* Mon Jun 22 2015 Sergey Galas' <shrike@odin.com> 7.0.18
 - Add patterns for filesystem statistics counter names (#PSBM-33069) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Added functions to manage H/A to Python SDK (Inga Pyass
<ipyass@virtuozzo.com>)
 - another wrapper. tests required it (Sergey Galas <shrike@odin.com>)

* Wed Jun 10 2015 Daniil Guzanov <dguzanov@virtuozzo.com> 7.0.18-2
 - Added parallels-sdk.pc

* Wed Jun 10 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.18
 - Added GetCtId() to the python SDK (#PSBM-34162)

* Thu Jun 04 2015 Sergey Galas' <shrike@odin.com> 7.0.17
 - Remove PrlApi_IsGuestOs and PrlTools_SendUtilityCommand (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - #PSBM-33974 (Alexander Kurbatov <alkurbatov@virtuozzo.com>)
 - Updated source git repo (Daniil Guzanov <dguzanov@odin.com>)

* Mon Jun 01 2015 Konstantin Volkov <wolf@parallels.com> 7.0.16
 - Do not use BuildConfig for supported python versions
 - Remove _VmIOMouse class from python bindings
 - Move PrlVmCfg_GetEnvId to PrlApiDeprMacro.h, see #PSBM-33903
 - Merge pull request #7 in VZS/libprlsdk from ~ALKURBATOV/libprlsdk:multythread-display-connect to master (Igor Sukhih <igor@odin.com>)
 - Change EnvId type from integer to string (Igor Sukhih <igor@parallels.com>)
 - Shared IO Display connection with reference counter (Alexandr Kurbatov <alkurbatov@parallels.com>)

* Mon Jun 01 2015 Konstantin Volkov <wolf@odin.com> 7.0.15-2
- Added libprlsdk-python subpackage, see #PSBM-33903

* Wed May 27 2015 Igor Sukhih <igor@parallels.com> 7.0.15
 - Change EnvId type from integer to string, #PSBM-33779

* Tue May 26 2015 Igor Sukhih <igor@parallels.com> 7.0.15
 - Add PrlVmCfg_GetCtId(), #PSBM-33779

* Wed May 20 2015 Sergey Galas' <shrike@odin.com> 7.0.14
 - Add per vcpu counter (Nikolay Shirokovskiy <nshirokovskiy@parallels.com>)
 - Change sharing defaults in xml model (Maxim Nestratov <mnestratov@parallels.com>)
 - Fix: added close() (Daniil Guzanov <dguzanov@odin.com>)
 - Gen.py takes version from Makefile.version #PSBM-32883 (Daniil Guzanov <dguzanov@odin.com>)

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.11
 - gen_uuid.c: s/_SVID_SOURCE/_DEFAULT_SOURCE/ (Maxim Nestratov
<mnestratov@parallels.com>)
 - Licence changed to strict LGPLv2.1 #PSBM-26806

* Tue Apr 07 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.10
- rebuild with ploop 7.0.x #PSBM-32811

* Wed Sep 17 2014 Maxim Nestratov <mnestratov@parallels.com> - 7.0.0
- Initial public revision
